OpenVDB 13.0.0

Loading...
Searching...
No Matches
PointCountImpl.h File Reference

Go to the source code of this file.

## Namespaces
namespace | openvdb
namespace | openvdb::v13_0
namespace | openvdb::v13_0::points

## Functions
template<typename PointDataTreeT, typename FilterT = NullFilter>
Index64 | pointCount (const PointDataTreeT &tree, const FilterT &filter=NullFilter(), const bool inCoreOnly=false, const bool threaded=true)
| Count the total number of points in a PointDataTree.
template<typename PointDataTreeT, typename FilterT = NullFilter>
Index64 | pointOffsets (std::vector< Index64 > &pointOffsets, const PointDataTreeT &tree, const FilterT &filter=NullFilter(), const bool inCoreOnly=false, const bool threaded=true)
| Populate an array of cumulative point offsets per leaf node.
template<typename PointDataGridT, typename GridT = typename PointDataGridT::template ValueConverter<Int32>::Type, typename FilterT = NullFilter>
GridT::Ptr | pointCountGrid (const PointDataGridT &grid, const FilterT &filter=NullFilter())
| Generate a new grid with voxel values to store the number of points per voxel.
template<typename PointDataGridT, typename GridT = typename PointDataGridT::template ValueConverter<Int32>::Type, typename FilterT = NullFilter>
GridT::Ptr | pointCountGrid (const PointDataGridT &grid, const openvdb::math::Transform &transform, const FilterT &filter=NullFilter())
| Generate a new grid that uses the supplied transform with voxel values to store the number of points per voxel.

## Detailed Description

Author
  Dan Bailey